package com.example.nto.service;

import com.example.nto.dto.entity.VisitDTO;

import java.time.LocalDateTime;
import java.util.List;

public interface VisitService {
    List<VisitDTO> getAll();
    List<VisitDTO> getAllVisitByEmployee(long employeeId);
    List<VisitDTO> getAllVisitByPeriod(LocalDateTime start, LocalDateTime stop);
    List<VisitDTO> getAllFinished(boolean isFinished);

    VisitDTO getById(long visitId);
    VisitDTO open(long employeeId, long startTerminalId, String passageName);
    void exit(long employeeId, long endTerminalId);

    // update не нужен он не будет использоваться :)

    void delete(long visitId);
}
