package com.example.nto.dto.entity;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TerminalDTO {
    private long id;
    private String name;

    // ОЧЕНЬ ВАЖНО!!! При создании терминала code не нужен, но отправлять его нужно.
    // При создании пиши вместо code, что хочешь он будет просто игнорироваться.
    // Мне просто очень лень делать отдельный TerminalCreateDTO ради одного поля.

    private String code;
    private String officeName;
}
